<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use \App\Http\Requests\SupportSaleRequest;
use Carbon\Carbon;
use Illuminate\Support\Facades\Mail;
use App\Mail\SalesInquiryMail;

class SupportSalesInquiryController extends Controller
{
    public function index(Request $request)
    {
        $product = '';
        $pid = $request->get('pid');
        if ($pid > 0) 
        {
            $product = \App\Models\Product::where('id', '=', $pid)->where('is_front_show', '=', true)->first();
            if ($product)
            {
                $product = 'I am interested in ' . $product->title;
            }
        }
        else if ($request->has('comment'))
        {
            $product = $request->get('comment');
        }
        return view('support-sales-inquiry',[
            'productName' => $product,
        ]);
    }

    public function indexPost(SupportSaleRequest $request)
    {
        \App\Models\SupportSale::insert([
            'name_first' => $request->input('name_first'),
            'name_last' => $request->input('name_last'),
            'company_name' => $request->input('company_name'),
            'job_title' => $request->input('job_title'),
            'email' => $request->input('email'),
            'phone' => $request->input('phone'),
            'contry' => $request->input('contry'),
            'comments' => $request->input('comments'),
            'created_at' => Carbon::now(),
        ]);

        try
        {
            $data = 'First Name: ' . $request->input('name_first') . "\n";
            $data .= 'Last Name: ' . $request->input('name_last') . "\n";
            $data .= 'Company Name: ' . $request->input('company_name') . "\n";
            $data .= 'Job Title: ' . $request->input('job_title') . "\n";
            $data .= 'Email: ' . $request->input('email') . "\n";
            $data .= 'Phone: ' . $request->input('phone') . "\n";
            $data .= 'Contry: ' . $request->input('contry') . "\n";
            $data .= 'Comments: ' . $request->input('comments') . "\n";
            $data .= 'Created At ' . Carbon::now() . "\n";
            
            Mail::to('sales.cri@coreality-inc.com')->send(
                new SalesInquiryMail($data)
            );
        }
        catch (Exception $ex)
        {

        }

        return redirect()->back()->with('success', 'We have received your sales inquiry！');
    }
}
