<!DOCTYPE html>
<html lang="zh-Hant">
<head>
<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- for Search -->
    <meta name="keywords" content="@yield('seo_keywords')" />
    <meta name="description" content="@yield('seo_description')" />
    <meta name="distribution" content="Taiwan" /> 
    <meta name="robots" content="all" />
    <meta name="robots" content="index,follow" />
    <meta name="revisit-after" content="1 days" />
    <meta name="rating" content="general" />
    <meta name="author" content="Coretronic Reality Inc.">
    <meta name="copyright" content="Coretronic Reality Inc." />
    <link rel="shortcut icon" href="/favico.ico"/>
    <link rel="bookmark" href="/favico.ico"/>
    <title>@yield('title')Coretronic Reality Inc.</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Serif+TC:wght@200;300;400;500;600;700;900&display=swap" rel="stylesheet">
    <link href="{{ basset('/assets/css/bootstrap.css') }}" rel="stylesheet" />
	<link href="{{ basset('/assets/js/rd-navbar/jquery.rd-navbar.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ basset('/assets/js/aos/aos.css') }}" rel="stylesheet">
    <link href="{{ basset('/assets/css/animate.min.css') }}" rel="stylesheet"/>
    <link href="{{ basset('/assets/js/fancybox/jquery.fancybox.min.css') }}" rel="stylesheet">
    
    @yield('css-master')
    
</head>

<body @yield('body_attr')>
    @yield('heading')
    <main>
        @yield('main')
    </main>
    <footer> 	
        <div class="footer-main">
            <div class="container">
                <div class="row justify-content-around">

                    <div class="col-xl-4">
                        <div class="footer-contacts">
                            <div class="footer-contacts-logo">
                                <img src="/assets/img/logo2.png" alt="" width="auto" height="40">
                            </div>
                            <div class="footer-contacts-info">
                                <p>Coretronic Reality Inc., a pioneering force since 2019, specializes in the manufacturing of high-quality System onModules (SOM), empowering clients to make advancements in Robotics and AIOT. <br /><a href="/about"><i class="fa-solid fa-angles-right"></i> Learn more about CRI</a></p>
                            </div>
                        </div>
                    </div>    
                    
                    <div class="col-xl-8">
                        <div class="footer-nav">
                            <div class="footer-nav-item">
                                <h4>GET IN TOUCH</h4>
                                <ul>
                                    <li><span>Customer Service</span><br /><a href="mailto:service.cri@coreality-inc.com">service.cri@coreality-inc.com</a></li>
                                    <li><span>Sales Enquiry</span><br /><a href="mailto:sales.cri@coreality-inc.com">sales.cri@coreality-inc.com</a></li>
                                    <li><a href="https://www.linkedin.com/company/coretronic-reality-inc" target="_blank"><i class="fa-brands fa-linkedin"></i></a></li>
                                </ul>
                            </div>
                            <div class="footer-nav-item">
                                <h4>QUICK LINK</h4>
                                <ul>
                                    <li><a href="/products">Products</a></li>
                                    <li><a href="/events">Events</a></li>
                                    <li><a href="/about#anchor-about02">Contact us</a></li>
                                </ul>
                            </div>
                            <form method="POST" action="/">
                            @csrf
                            <div class="footer-nav-item">
                                <h4>SUBSCRIBE NEWSLETTER</h4>
                                <p>Get the latest information on company news, <br />product promotions, events. Sign up here:</p>
                                <input type="text" class="form-control" name="subscribeInquery" placeholder="Email Address">
                                <div class="text-left mt-3"><input type="submit" href="" class="btn btn-danger btn-sm" value="SUBSCRIBE"></input></div>
                                @if ($message = Session::get('errorSubscribe'))
                                    <div class="text-left mt-3 alert alert-block alert-danger">
                                        <button type="button" class="close" data-dismiss="alert">×</button>
                                        <strong>{{ $message }}</strong>
                                    </div>
                                @endif
                                @if ($message = Session::get('successSubscribe'))
                                    <div class="text-left mt-3 alert alert-block alert-success ">
                                        <button type="button" class="close" data-dismiss="alert">×</button>    
                                        <strong>{{ $message }}</strong>
                                    </div>
                                @endif
                            </div>
                            </form>
                        </div>
                    </div>    
                    
                    <div class="col-xl-12">
                        <div class="footer-nav">
                            <div class="footer-nav-item ml-0 mb-0">
                            <h4>ADDRESS</h4>
                            <p>(1) Taipei Office：15F, No. 225, Sec. 3, Beixin Rd., Xindian Dist., New Taipei City, Taiwan 23143<br />
(2) Hsinchu Office：No. 11, Li Hsin Rd, Science Park, Hsinchu City, Taiwan</p>
                            </div>
                        </div>
                    </div>    
                </div>
            </div>
        </div>
        
        <!-- footer-copyright -->
        <div class="footer-copyright">
            <div class="container">
                Copyright © 2024 Coretronic Reality Inc. All Rights Reserved. <span>Design by <a href="http://www.106h.net/" target="_blank">106h</a></span>
            </div>
        </div>
        
    </footer>

    
    <!-- JavaScript
    ================================================== -->
	<script src="{{ basset('/assets/js/jquery.min.js') }}"></script>
	<script src="{{ basset('/assets/js/include.js') }}"></script>
	<script src="{{ basset('/assets/js/script.js') }}"></script>
    <script src="{{ basset('/assets/js/fancybox/jquery.fancybox.min.js') }}"></script>
	@yield('script')
</body>
</html>